// 在main.js上通过import引入Vue库和自己写的Vue组件库
import Vue from 'vue';
import 'vant/lib/index.css';
import { Picker } from "vant";
import { Icon } from "vant";
import { Popup } from "vant";

Vue.use(Popup);
Vue.use(Icon);
Vue.use(Picker);
import Sel from './components/Sel.vue'
import eventBus from '../../../../../../util/eventBus'
(function (KDApi) {
  function MyComponent (model) {
    this._setModel(model)
  }

  MyComponent.prototype = {
    _setModel: function (model) {
      this.model = model
    },
    init: function (props) {
      console.log('-----init1111', props.data)
      setHtml(this.model, props)
    },
    update: function (props) {
      console.log('-----update', this.model, props)
      eventBus.pub(this.model, 'update', props)
      // updateHtml(this.model, props)
    },
    destoryed: function () {
      console.log('-----destoryed', this.model)
    }
  }

  const setHtml = (model, props) => {
    const { invoke } = model
    const clickBut = props.data ? props.data.clickBut : false
    const colour = props.data ? props.data.colour : ''
    
    KDApi.loadFile('./css/index.css', model, () => {
      // console.log("22222",dateList)
      new Vue({
        el: model.dom,
        template:'<Sel :clickBut="clickBut" :colour="colour" v-on:selectData="selectData"/>',
       components: {
        Sel
        },
        data:function (){
          return {
            clickBut:clickBut,
            colour:colour
          }
        },
        mounted () {
          const self = this
          this.updateSub = eventBus.sub(model, 'update', (props) => {
            console.log("props111",props)
            const clickBut = props.data ? props.data.clickBut : false
            const colour = props.data ? props.data.colour : ''
            console.log("updateSub",clickBut,colour)
            self.clickBut = clickBut
            self.colour = colour
          })
        },
        destroyed () {
          eventBus.unsub(this.updateSub)
        },
        methods: {
          invoke: function (eventName, args) {
            invoke(eventName, args)
          },
          selectData:function(data){
            console.log("data",data)
            this.invoke("inProgressValue",data)
          }
        }
      })
    })
  }
  
  // 注册自定义组件
  KDApi.register('stateSelKy', MyComponent)
})(window.KDApi)
